# Uses of Interface
org.bukkit.entity.PigZombie

Packages that use PigZombie
Package
Description
com.destroystokyo.paper.entity.ai
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of PigZombie in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type PigZombie
Modifier and Type
Field
Description
`static final GoalKey<PigZombie>`
VanillaGoal.`ANGER`
Deprecated.
removed in 1.16
`static final GoalKey<PigZombie>`
VanillaGoal.`ANGER_OTHER`
Deprecated.
removed in 1.16

## Uses of PigZombie in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return PigZombie
Modifier and Type
Method
Description
`@NotNull PigZombie`
PigZombieAngerEvent.`getEntity()`
`@NotNull PigZombie`
PigZapEvent.`getPigZombie()`
Deprecated.
use `EntityTransformEvent.getTransformedEntity()`
Constructors in org.bukkit.event.entity with parameters of type PigZombie
Modifier
Constructor
Description
``
`PigZapEvent(@NotNull Pig pig, @NotNull LightningStrike bolt, @NotNull PigZombie pigzombie)`
``
`PigZombieAngerEvent(@NotNull PigZombie pigZombie, @Nullable Entity target, int newAnger)`